﻿
.clear{clear:both;}
@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@100;200;300;400;500;600;700;800&display=swap');
/***** Start of primary nav ******/
#menu-button{display: none;}
nav.mobile { display:none;}

.header-links.flex {gap: 30px;align-items: center;}

.header-numbers .wrapper.flex {justify-content: space-around;padding:20px 0;border-bottom:#F9E712 solid 3px;align-items: center;}
.header-numbers .wrapper.flex a{color:#fff;}
.header-numbers li.borders {border-left:solid #fff 2px;border-right:solid #fff 2px;padding: 1% 20px;}

.socials {align-items: center;gap: 16px;display: flex;}

.search-listings {width: 100%;max-width: 17%;}

.nav-flex {align-items: center;display: flex;justify-content: space-around;}

.nav-flex a.yellow-button button {max-width: 230px;}

.header-links.flex ul {gap:20px;align-items:center;}

button.yellow-button.dropbtn {max-width:unset;}



.site-header {display: flex;flex-direction: column;}

nav.primary {
	padding:20px 0px;
	display:inline-block;
	margin: 0;
	position:relative;
	
	}
	nav.primary ul {
		margin:0; 
		padding:0;
		float:right;
		}
		nav.primary ul li {
			display:inline-block;
			margin:0;
			list-style-type:none; 
			width:auto;
			}
			nav.primary ul li a {
				color: #fff;
				font-size: 17px !important;
				letter-spacing: 1px;
				line-height: 20px;
				text-decoration: none;
				display: flex;
				align-items: center;
				justify-content: space-between;
				margin: 0px 2px;
				text-align: center;
				-webkit-transition: .4s ease-in;
				-moz-transition: .2s ease-in;
				-o-transition: .2s ease-in;
				transition: .2s ease-in;
				font-weight: 600;
				padding: 12px;
							}	
			nav.primary ul li a:hover {
color:#F9E712; 
box-shadow: inset 0 -5px 0 0 #F9E712;
				}
			/* Appearance of the sub-level links */
			nav.primary ul li li a { 
				font-size:13px;
				letter-spacing: .2px;
				line-height:24px;
				padding:7px 10px;
				color:#fff;
				background: #000;
				text-align:left;
				/*border-right:none;
				border-left:none;
				border-bottom: #303030 solid 1px;*/
			}
			/* Appearance of the sub-level links on hover */
			nav.primary ul li li a:hover { 
					background:#F9E712; 
	color: #000; 
			}
/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
    display: none;
    position: absolute; 
}
nav.primary ul ul ul {
    position: absolute; 
    left: 100%;
    top:0; 
}
nav.primary ul li:hover > ul {  
    display: block;
    line-height:18px; 
    z-index: 1000;
}
nav.primary ul ul li {
    float: none; 
	width: 300px;
    position: relative;
    margin:0;
	display: block;
}


/** drop down btns**/
.drop-down a:hover{
	color:#fff!important;
	background-color:#D36D08!important;
}


/** header styles **/
.main-header{
	background-color:#fff;
	display:inline-block;
	width:100%;
}
.upper-text{
	display:inline-block;
	width:100%;
	background-color:#E46D05;
	text-align:right;
	max-width:100%;
}
.upper-text .fab{
	padding:15px 21px 21px 21px!important;
}
.upper-text .fab:hover{
	color:#F9A653;
}
.upper-text a{
	color:#fff;
	display:inline-block;
}


nav.primary i.fa-angle-down{color:#E76806;}

nav.primary ul li:hover i.fa-angle-down{color:#fff;}


.header-contact {
    display: inline-block;
    vertical-align: middle;
    color: #000;
	background-color:#fff;
	font-weight:600;
    padding: 17px 15px;
    transition: .3s ease;
	font-size: 15px;
}

.lower-text{
	display:flex;
	flex-direction:row;
	width:90%;
	margin: 0 auto;
	
}
.logo img{max-width: 240px;}
.logo{
	width:100%;
}


.dropbtn {
  background-color: #D9D9D9;
  color: #000;
  padding: 17px;
  font-size: 16px;
  border: none;
  cursor: pointer;
	width: 100%;
}

.mobile-buttons i {font-size:20px;}

.dropbtn:hover, .dropbtn:focus {
  background-color:#000;color:#fff;
}

.large-buttons.red i {color:#fff;}

#myInput {
  box-sizing: border-box;
  background-image: url('searchicon.png');
  background:#222222;
  background-position: 14px 12px;
  background-repeat: no-repeat;
  font-size: 16px;
  padding: 20px 4%;
  margin: 0 auto;
  display: flex;
  gap: 5px;
}

.dropdown-content select {width: 100%;padding: 10px 5px;}
.dropdown-content select option {color:#000 !important;}

.dropdown-content button#Submit {width: 100%;max-width: 10%;background:#F9E712;border: unset;}

input#keyword {width: 100%;margin: 0 auto;padding:10px 5px;box-sizing: border-box;}

#myInput:focus {outline: 3px solid #ddd;}

.dropdown {
  position: relative;
  display: inline-block;
	width:100%;
}

.dropdown-content {
     display: none;
    position: relative;
    background-color: #f6f6f6;
    width: 100%;
    overflow: auto;
    z-index: 99999999999;
   padding: 35px 0;
    background: #222222;
	box-sizing: border-box;
	transition:.3s;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown a:hover {background-color: #ddd;}

.show {display: block;transition:.3s;}


@media screen and (max-width: 1730px)  {
	nav.primary ul li a{padding:0 7px;}	
}

@media screen and (max-width: 1220px)  {
	.header-numbers .wrapper.flex {flex-direction:column;gap: 40px;}	
	.dropdown {display: flex;justify-content: center;}
	.dropdown .search-listings {margin: 22px auto 0;}
	.search-listings {width:100%;max-width:100%;}
	.header-numbers .wrapper.flex {gap: 23px;}
	.header-links.flex {width: 100%;justify-content: center;}
}


/******** End of primary Nav ***************/

@media screen and (max-width: 1220px)  {
	.upper-text h4{
		font-size:14px;
	}
	
	.menu-top {padding: 30px 0;}
	
	.header-numbers {width:100%;}
	.header-numbers .wrapper.flex {border-bottom:unset;}
	.site-header {display: flex;flex-direction: row;justify-content: space-between;width: 100%;align-items:center;}
	
	.header-links.flex,.site-header .yellow-button.in-touch {display: none;}
	
	.site-header {align-items: center;}
	.dropdown {justify-content:unset;}
	.upper-text{
		width:60%;
	}
	
	.site-header > .wrapper {    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    max-width: 90%;
    margin: 0 auto;
    background: #000;
    position: relative;
    z-index: 700;}
	
	.site-header .header-numbers {max-width:unset;margin:0 auto;}
	
	.header-numbers button.yellow-button {margin-top:unset;padding: 14px 0;max-width: 70%;}
	
	.nav-flex {align-items: center;display:block;width:100%;max-width:15%;}
/*==============================
	Mobile Nav Styles			
================================*/	
nav.primary{display:none;}
#menu-button{ 
	width: 100%;
	display: inline-block;
	font-size: 24px;
	position: relative;
	line-height:60px; 
	z-index: 400; 
	text-align: right;
	}
	#menu-button a{
	color: #000;
    text-decoration: none;
    font-weight: normal;
    background:#F9E712;
    width: 100%;
    max-width: 100%;
    display: flex;
    justify-content: center;
    font-size: 38px;
    border-radius: 10px;
	  }
nav.mobile {
	    display: block;
    position: fixed;
    left: -100%;
    width: 100%;
    background: #000;
    z-index: 500;
	  height: 500px;       /* Critical: Must limit the size so content can overflow */
  overflow-y: auto;    /* Adds a vertical scrollbar ONLY when content overflows */
}
/* MENU HEADER SOCIAL MEDIA */
	nav.mobile .social-media {
		position: relative;
		text-decoration: none;
		display: inline-block;
		font-size:16px;
		word-spacing:13px;
		padding:0 0 0 15px;
		color: #ccc !important;
	}
	
	nav.mobile .social-media a:link, nav.mobile .social-media a:visited {color:#ccc; text-decoration:none;}
	nav.mobile .social-media a:hover, nav.mobile .social-media a:active {color:#fff; text-decoration:underline;}

/* MENU HEADER STYLES */
nav.mobile .mobile_top {
	position: relative;
	display:block;
	padding: 0;
	margin:50px 0 10px 0;
	color: #999;
	font-size: 18px;
	font-weight: 400;
}

/* MENU CLOSE 'X' BUTTON */
nav.mobile .menu-toggle {
    position: absolute;
    padding: 6px 10px;
    font-size: 26px;
    font-weight: bold;
    line-height: 1;
    background: #F9E712;
    color: #000;
    border-radius: 10px;
    text-decoration: none;
    top: 7px;
    right: 13px;
}
nav.mobile .menu-toggle:hover { /* Menu close button on hoveer */
	color: #fff;
}

/* MENU LIST STYLE */
nav.mobile ul {
	list-style: none;
	font-weight: 300;
	margin:0;
	padding:0;
}/* MENU LIST STYLE */
nav.mobile ul ul {
	list-style: none;
	font-weight: 300;
	margin:0;
	padding:0;
}
nav.mobile ul li {
	border-top: 1px solid #454545;
	border-bottom: 1px solid #151515;
	position:relative;
}

/* FIRST LEVEL */
nav.mobile ul li a {
	position: relative;
	display: block;
	font-size:16px;
	padding: 10px;
	color: #fff;
	text-decoration: none;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
	text-align: left;
}
nav.mobile ul li a:hover {
	background:#F9E712; 
	color: #000; 
}

/* SECOND LEVEL */
nav.mobile ul li li:last-child {border:none;}
nav.mobile ul li li a {
	background: #000;
	position: relative;
	display: block;
	padding: 10px 10px 10px 15px;
	color: #fff;
	text-decoration: none;
}
/*nav.mobile ul li li a:hover {background:rgba(65,65,65,0.5);}*/

/* THIRD LEVEL */
nav.mobile ul li li li:last-child {border:none;}
nav.mobile ul li li li a {
	background: #555;
	position: relative;
	display: block;
	padding: 10px 10px 10px 25px;
	color: #ccc;
	text-decoration: none;
	border-left:4px #555 solid;
}
nav.mobile ul li li li a:hover {	background:#F9E712; 
	color: #000; }

nav.mobile ul li .click{/* dropdown menu idicator arrow be sure to include this image with your image files */ 
	position:relative;
	display:flex;
	justify-content:space-between;
	align-items: center;
	cursor:pointer;
	z-index: 12399994;
	top:0;
	right:0;
	width:auto;
	height:auto;
	color:#fff;
	}
	
.nav-footer {color:#1B1B1B; position:relative; text-align:center; font-size:14px; line-height:16px; padding:15px 0;}

/* FONT AWESOME ICONS */
nav.mobile ul li a .fa{
	width:25px;
	font-weight:100;
	padding:8px 3px;
	margin:0 6px 0 0;
	text-align:center;
	background:#292929;
	-webkit-border-radius: 30px;
	-moz-border-radius: 30px;
	border-radius: 30px;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
}

	nav.mobile ul li .fa-chevron-down{color:#E76806!important;}
nav.mobile ul li .fa-chevron-down {color:#999;}
}

@media screen and (max-width: 1020px)  {
	#menu-button{width:100%;}
}

@media screen and (max-width:400px){
	.header-numbers button.yellow-button {max-width: 90%;}
	form#myInput {flex-direction: column;}
	.dropdown-content button#Submit {max-width: 100%;padding:10px 0;}
	
}